<?php
/**
 * Copyright 2013 Drexel University
 */

function get_wiki_file_path($filename, $include_filename = true) {

    // returns the path the file should be found at
    $filename = filename_to_legal_characters($filename);
    if ($include_filename == true)
        return substr(md5($filename), 0, 1) . '/' . substr(md5($filename), 0, 2) . '/' . $filename;
    else
        return substr(md5($filename), 0, 1) . '/' . substr(md5($filename), 0, 2) . '/';
}

function filename_to_legal_characters($filename) {
    return ucfirst(preg_replace(array('/\s/', '/\.[\.]+/', '/[^\w_\.\-]/'), array('_', '.', ''), trim($filename)));
}

function get_formated_size($bytes) {
    // set filesize in different units, depending on the size
    if ($bytes > 1024 * 1024 * 1024) {
        $filesize_units = "GB";
        $filesize = round($bytes / (1024 * 1024 * 1024.0), 2);
    } else if ($bytes > 1024 * 1024) {
        $filesize_units = "MB";
        $filesize = round($bytes / (1024 * 1024.0), 2);
    } else if ($bytes > 1024) {
        $filesize_units = "KB";
        $filesize = round($bytes / (1024.0), 2);
    } else {
        $filesize_units = "bytes";
        $filesize = $bytes;
    }
    return $filesize . ' ' . $filesize_units;
}

?>
