<?php
/**
 * Copyright 2013 Drexel University
 */

// SPECIAL PAGE: This page is an upload form that saves a file directly on the IRODS server (no storage on the local server)


class SpecialIrodsSearchPage extends SpecialPage {

    private $filename;
    private $dir;

    function __construct() {
        $dir = dirname(__FILE__) . '/';

        require_once ($dir . "RodsWiki.functions.php");

        parent::__construct('specialirodssearchpage');
    }

    function execute($par) {

        global $wgOut, $wgScriptPath;
        $wgOut->setPagetitle("iRODS File Search");
        $this->setHeaders();
        $wgOut->addWikiText("== Search by Metadata ==");
        $wgOut->addHTML('<table>');
        $wgOut->addHTML('<tr><td>Attribute</td><td><input type="text" id="attribute" onkeypress="hide_results()"><input type="checkbox" value="1" id="attr_exact" checked> Exact phrase</td></tr>');
        $wgOut->addHTML('<tr><td>Value</td><td><input type="text" id="value" name="value" onkeypress="hide_results()"><input type="checkbox" value="1" id="value_exact"> Exact phrase</td></tr>');
        $wgOut->addHTML('<tr><td>Units</td><td><input type="text" id="units" onkeypress="hide_results()"><input type="checkbox" value="1" id="units_exact"> Exact phrase</td></tr>');
        $wgOut->addHTML('<tr><td><input type="button" value="Search" onclick="display_results(\'' . $_SERVER['HTTP_HOST'] . dirname(dirname($_SERVER['REQUEST_URI'])) . '\', $(\'#attribute\').val(), $(\'#value\').val(), $(\'#units\').val(), $(\'#attr_exact\').attr(\'checked\')==\'checked\', $(\'#value_exact\').attr(\'checked\')==\'checked\', $(\'#units_exact\').attr(\'checked\')==\'checked\')"></td></tr>');
        $wgOut->addHTML('</table>');
        $wgOut->addHTML('<script></script>');

        $wgOut->addWikiText("== Results ==");
        $wgOut->addHTML('<div id="submit_query">Please submit the above form.</div>');
        $wgOut->addHTML('<div id="search_results" style="display: none"></div>');
        $wgOut->addHTML("<script src='" . $wgScriptPath . "/extensions/RodsWiki/SpecialSearch.js'></script>");
    }

}

?>
