/**
 * Copyright 2013 Drexel University
 */

irods_path_edited = false;

function update_mediawiki_url(filename) {
    if (!irods_path_edited) {
        var filename = $('#filename').val();
        trim_regex = /^\s+|\s+$/g;
        space_regex = /\s/g;
        dots_regex = /\.[\.]+/g;
        other_regex = /[^\w_\.\-]/g;
        filename = filename.replace(trim_regex, '');
        filename = filename.replace(space_regex, '_');
        filename = filename.replace(dots_regex, '.');
        filename = filename.replace(other_regex, '');
        filename = filename.substring(0, 1).toUpperCase() + filename.substring(1);
        var hash = hex_md5(filename);
        $('#irodspath').val(configIrodsRootPath + hash.substring(0, 1) + '/' + hash.substring(0, 2) + '/');
    }
}

function change_filename(val) {
    if (!filenameLocked) {
        var lastSlash = Math.max(val.lastIndexOf('/'), val.lastIndexOf('\\'));
        if (lastSlash !== -1) {
            val = val.substr(lastSlash + 1);
        }
        document.uploadform.filename.value = val;
        onNameChange();
    }
}

function onPathEdited() {
    irods_path_edited = true;
    onNameChange();
}

var typingTimeout;
function onNameChange() {
    if (typingTimeout) {
        clearTimeout(typingTimeout);
    }

    $('#results').html('<img src="' + wikiBaseUrl + '/extensions/RodsWiki/ajax-loader.gif">');

    var name = $('#filename').val();
    var path = $('#irodspath').val();
    typingTimeout = setTimeout(function() {
        checkFileExists(name, path);
    }, 800);
}

function checkFileExists(filename, path) {
    $.ajax({
        type: "get",
        url: wikiBaseUrl + '/index.php/Special:SpecialIrodsFileDownload?exists&filename=' + filename + '&path=' + path,
        dataType: 'html',
        async: true
    }).done(function(result) {
        $("#results").html('');
        if (result.trim() === '0') {
            document.getElementById("file_exists").style.display = 'none';
            document.getElementById("file_safe").style.display = 'block';
            document.getElementById("upload_button").value = 'Upload File';
        } else {
            document.getElementById("file_exists").style.display = 'block';
            document.getElementById("file_exists").innerHTML =
                    '<font color=red>&#9888; Warning: This file already exists!</font> <a href="'
                    + wikiBaseUrl + '/index.php/Special:IrodsMetadataPage?filename=' + filename + '">Go to file</a>';
            document.getElementById("file_safe").style.display = 'none';
            document.getElementById("upload_button").value = 'Replace File';
        }
    });
}
